petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMissingDiagonal

Determine if sparse matrix is missing a diagonal entry (or block entry for BAIJ matrices)

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMissingDiagonal(Mat mat,PetscBool *missing,PetscInt *dd)

Collective on Mat Many br

### Input Parameter

mat -the matrix Many br

### Output Parameters

| missing | - is any diagonal missing Many br
| dd | - first diagonal entry that is missing (optional) Many br

Many br

### See Also

MatRealPart()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages